﻿


body
{
    font-family: Tahoma, Verdana, Hebolvetica, Helvetica-Narrow, sans-serif;
    margin: 0px;
    background: #3F434E url(images/background_main.jpg) repeat-y center top;
    font-size: 0.7em;
}
a:link
{
    color: #000000;
}
a:visited
{
    color: #000000;
}
a:hover
{
    text-decoration: none;
    color: #C0C0C0;
}
a:active
{
    text-decoration: none;
    color: #000000;
}

input, select, textarea
{
    font-size:1em; 
    font-family: arial, Verdana, Helvetica, Helvetica-Narrow, sans-serif;
}

/* Use headers in the markup for accessibility reasons but control look with styles below*/

h1, h2, h3, h4, h5, h6
{
   margin: 2px 0 2px 0;
    width: 202px;
}

h1
{
    font-size: 28px;
    font-weight: bold;
   margin: 5px 0 5px 0;
}


h1 a:link, h1 a:visited, h1 a:hover, h1 a:active
{
    text-decoration: none;
    color: #000000;
}
.membercard h3
{
    font-size: 1em;
}

 #loginbanner h2
{
    font-size: 1em;
    font-weight: normal;
    margin-top: 8px;
}

#poster h2
{
    font-size: 13px;
    font-weight: bold;
    color: #E0E0E0;
}
.block h2, .leftblock h2, .comprarblock h2, .rightblock h2, .fullwidth h2, .todoblock h2
{
    font-size: 1.6em;
}

.rightblock h3, .todoblock h3
{
    font-size: 1em;
    font-weight: bold;
    margin: 0px;
    padding: 0px;
    display: block;
}



/************************************************************************
* 
* Main navigation used by the masterpage
*
************************************************************************/

/* Picture at the top of the site */
#poster
{
    background: url(images/poster.jpg) no-repeat;
    margin-right: auto;
    margin-left: auto;
    width: 935px;
    height: 66px;
    margin-top: 7px;
}

/* Navigation strips */
#navtop
{
    background: url(images/background_nav_main_top.gif) repeat-x;
    font-size: 11px;
    font-weight: bold;
    font-family: Verdana, Helvetica, Helvetica-Narrow, Tahoma, sans-serif;
    margin-right: auto;
    margin-left: auto;
    width: 936px;
    height: 30px;
}

#navbottom, #navCategorias2, #navCategorias3
{
    background: url(images/background_nav_main.gif) repeat-x;
    font-size: 11px;
    font-weight: bold;
    font-family: Verdana, Helvetica, Helvetica-Narrow, Tahoma, sans-serif;
    margin-right: auto;
    margin-left: auto;
    width: 936px;
    height: 45px;
}

#navCategorias, #navCategorias2
{
    background: url(images/background_nav_main.gif) repeat-x;
    font-size: 11px;
    font-weight: bold;
    font-family: Verdana, Helvetica, Helvetica-Narrow, Tahoma, sans-serif;
    margin-right: auto;
    margin-left: auto;
    width: 936px;
    height: 30px;
}

#navbottom
{
    margin-top: 15px;
}

#footer
{
    width: 936px;
    margin-right: auto;
    margin-left: auto;
    text-align: center;
    margin-top: 10px;
    padding-bottom: 22px;
    color: #000000;
}

/* Make main navigation bars from a unordered list for easy update and better accessibility */

#navtop ul, #navbottom ul, #navCategorias ul, #navCategorias2 ul, #navCategorias3 ul
{
    margin: 0px;
    padding-top: 9px;
    list-style-type: none;
    height: 19px;
    text-align: center;
}

#navtop ul li
{
    display: inline;
    color: #000000;
    margin-right: 25px;
}
#navbottom ul li, #navCategorias ul li, #navCategorias2 ul li, #navCategorias3 ul li
{
    display: inline;
    color: #FFFFFF;
    margin-right: 25px;
}

#navtop a:link, #navtop a:visited
{
    color: #000000;
    text-decoration: none;
}
#navbottom a:link, #navCategorias a:link, #navCategorias2 a:link, #navCategorias3 a:link, #navbottom a:visited, #navCategorias a:visited, #navCategorias2 a:visited, #navCategorias3 a:visited
{
    color: #FFFFFF;
    text-decoration: none;
}
#navtop a:hover, #navbottom a:hover, #navCategorias a:hover, #navCategorias2 a:hover, #navCategorias3 a:hover
{
    text-decoration: underline;
}
#navtop a:active, #navbottom a:active, #navCategorias a:active, #navCategorias2 a:active, #navCategorias3 a:active
{
    color: #FEFFBD;
    text-decoration: none;
}

/************************************************************************
* 
* Formatting common to most pages
*
************************************************************************/

/* Main part of the page that holds contents */
#body
{
    width: 936px;
    margin-top: 7px;
    margin-right: auto;
    margin-left: auto;
    position: relative;
    top: 0px;
    left: 0px;
    height: 485px;
}

/* 2 column layout  */
#columnleft
{
    float: left;
    width: 240px;
    height: 99px;
}

#columnright
{
    margin-left: 245px;
    width: 689px;
}


#columnright1
{
    margin-left: 245px;
  /*  position:relative; */
}

#columnright2
{
    margin-left: 445px;
  /*  position:relative; */
}

/* FULL SCREEN */
#columnall {
    margin-left: 1px;
    width: 940px;
}

.allblock {
    border: 1px solid #000000;
    padding: 5px;
    margin-bottom: 10px;
    background: #BCC6DA;
    position: absolute;
    width: 920px;
	margin-right: 15px;
}

/* END FUL SCREEN */


.leftblock
{
    border: 1px solid #000000;
    padding: 10px;
    margin-bottom: 10px;
    background: #000000 url(images/background_columnleft.gif) repeat-y;
    position: relative;
    
 }


 .rightblock
{
    border: 1px solid #000000;
    padding: 5px;
    margin-bottom: 10px;
    background: #000000 url(images/background_columnright.gif) repeat-y;
    position: relative;
    width:681px;
}

.rightblock2
{
    border: 1px solid #000000;
    background: #000000 url(images/background_columnright.gif) repeat;
	
}

.block
{
    border: 1px solid #000000;
    padding: 10px;
    margin-bottom: 10px;
    background: #000000 url(images/background_columnleft.gif) repeat-y;
    vertical-align: top;
    width: 936px;    
}


.comprarblock
{
    border: 1px solid #000000;
    padding: 10px;
    margin-bottom: 10px;
    background: #000000 url(images/background_columnleft.gif) repeat-y;
    vertical-align: top;
    width: 200px;
}

.productoblock
{
    border: 1px solid #000000;
    padding: 10px;
    margin-bottom: 10px;
    background: #000000 url(images/background_columnleft.gif) repeat-y;
    vertical-align: top;
    width: 200px;
}


.precioblock
{
    border: 1px solid #000000;
    padding: 10px;
    margin-bottom: 10px;
    vertical-align: middle;
}

.tiendaleftblock
{
    border: 1px solid #000000;
    padding: 10px;
    margin-bottom: 10px;
    background: #000000 url(images/background_columnleft.gif) repeat-y;
    vertical-align: top;
    width: 180px;

}

.tiendablock
{
    border: 1px solid #000000;
    padding: 15px;
    margin-bottom: 10px;
    background: #000000 url(images/background_columnleft.gif) repeat-y;
    vertical-align: top;
    width:200px;
}

.tiendablock1
{
    border: 1px solid #000000;
    padding: 15px;
    margin-bottom: 10px;
    background: #000000 url(images/background_columnright.gif) repeat-y;
    position: relative   ;
    margin-left: 100px;
    width:200px;

}

.tiendablock2
{
    border: 1px solid #000000;
    padding: 15px;
    margin-bottom: 10px;
    background: #000000 url(images/background_columnright.gif) repeat-y;
    position: relative;
    margin-left: 300px;
    width:200px;
  
}


 .todoblock
{
    border: 1px solid #000000;
    padding: 5px;
    margin-bottom: 5px;
    background: #000000 url(images/background_columnright.gif) repeat-y;
    width:716px;
     word-break: break-word;
    word-wrap: break-word;
    overflow-wrap: break-word;

 
}

 .rightblock3
{
    border: 1px solid #000000;
    padding: 15px;
    margin-bottom: 10px;
    margin-left: 240px;
    background: #000000 url(images/background_columnright.gif) repeat-y;
    position: static;
    width: 646px;
}

.clear2column
{
    margin:0;
    padding:0;
    line-height:0;
    font-size:0px;
    height:0px;
    clear: both;
}
    

/* A full width block on the page */

.fullwidth, #loginbanner
{
    border: 1px solid #000000;
    width: 904px;
    margin-right: auto;
    margin-left: auto;
    background: #000000 url(images/background_fullwidth.jpg) repeat-y;
    margin-bottom: 10px;
    padding-left: 15px;
    padding-right: 15px;
    padding-top: 10px;
    padding-bottom: 10px;
    text-align: left;
}

/* for the login block
    picks up most of its properties from .fullwidth */

#loginbanner
{
  padding-bottom: 0px;
}

/* Goes around controls that need to be presented as a block of functionality  */
.controlblock
{
    border: 1px solid #000000;
    padding: 3px;
    margin: 2px 0 5px 0;
    vertical-align: top;
}

/* apply zero margin to all forms and hide fieldset borders. Keep fieldset borders in the markup for better accessibility */

form
{
    margin: 0px;
}

fieldset
{
    margin: 0px;
    padding: 0px;
    border: none;
}

/* sometimes we hide elements from display in visual browsers (but leave them in the source for non visual browsers and for accessibility) */

.hidden
{
    visibility: hidden;
}
.none
{
    display: none;
}



/************************************************************************
* 
* Forms
*
************************************************************************/

/* label column */
.formlabel
{
    width:120px; 
    vertical-align: top;
}

/* value column */
.formvalue
{
    vertical-align: top;
}

.txtfield
{
    width:300px;
}

.txtblock
{
    width:300px;
}


.ControlOnFocus
{
	background: Yellow;
	color: Black;
	border: 1px outset #05293F;
}

.ControlOffFocus
{
	background: White;
	color: Black;
	border: 1px outset #FFA100;
}

.ajusteTexto{
     overflow-wrap: break-word;
     word-break: break-all;
    word-wrap: break-word;
  
}

#form-contable-section {
    margin: 0 auto;
    padding: 20px;
}

.form-contable-row {
    display: flex;
    gap: 25px;
    justify-content: center;
    margin-bottom: 20px;
    flex-wrap: wrap;
}

.form-contable-form-group {
    flex: 1;
    min-width: 200px;
}

.form-contable-textbox,
.form-contable-ddl {
    width: 100%;
    padding: 8px;
    border: 1px solid #ccc;
    border-radius: 4px;
    max-width: -webkit-fill-available;
}

.form-contable-button {
    background-color: #4CAF50;
    color: white !important;
    padding: 10px 20px;
    margin: 5px;
    border: none;
    border-radius: 4px;
    cursor: pointer;
}

    .form-contable-button:hover {
        background-color: #45a049;
    }

#form-contable-section button:focus,
#form-contable-section input:focus,
#form-contable-section select:focus {
    outline: none;
    box-shadow: 0 0 5px rgba(81, 203, 238, 1);
    border: 1px solid rgba(81, 203, 238, 1);
}

#form-contable-section a {
    text-decoration: none;
}

.form-contable-checkbox {
    margin-right: 15px;
}

    .form-contable-checkbox input[type="checkbox"] {
        margin-right: 8px;
        cursor: pointer;
    }

    .form-contable-checkbox label {
        color: #333;
        cursor: pointer;
    }

    .form-contable-checkbox input[type="checkbox"]:checked {
        background-color: #007bff;
        border-color: #007bff;
    }

    .form-contable-checkbox input[type="checkbox"]:focus {
        outline: none;
        box-shadow: 0 0 2px 2px rgba(0, 123, 255, 0.25);
    }

.form-contable-group-column {
    display: flex;
    flex-direction: column; /* Asegura que los labels estén arriba de los inputs dentro de cada columna */
    flex: 0 0 48%; /* Ambos grupos ocupan la mitad del espacio disponible */
    max-width: 48%;
    margin-bottom: 10px;
}